% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/column.R, R/generics.R
\docType{methods}
\name{cast}
\alias{cast}
\alias{cast,Column-method}
\title{Casts the column to a different data type.}
\usage{
\S4method{cast}{Column}(x, dataType)

cast(x, dataType)
}
\arguments{
\item{x}{a Column.}

\item{dataType}{a character object describing the target data type.
See
\href{https://spark.apache.org/docs/latest/sparkr.html#data-type-mapping-between-r-and-spark}{
Spark Data Types} for available data types.}
}
\description{
Casts the column to a different data type.
}
\note{
cast since 1.4.0
}
\examples{
\dontrun{
  cast(df$age, "string")
}
}
\seealso{
Other colum_func: \code{\link{alias}},
  \code{\link{alias,Column-method}}; \code{\link{between}},
  \code{\link{between}},
  \code{\link{between,Column-method}};
  \code{\link{endsWith}}, \code{\link{endsWith}},
  \code{\link{endsWith,Column-method}};
  \code{\link{otherwise}}, \code{\link{otherwise}},
  \code{\link{otherwise,Column-method}};
  \code{\link{over}}, \code{\link{over}},
  \code{\link{over,Column,WindowSpec-method}};
  \code{\link{startsWith}}, \code{\link{startsWith}},
  \code{\link{startsWith,Column-method}};
  \code{\link{substr}}, \code{\link{substr,Column-method}}
}

