% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/column.R, R/functions.R, R/generics.R
\docType{class}
\name{Column-class}
\alias{Column-class}
\alias{column}
\alias{column,character-method}
\alias{column,jobj-method}
\title{S4 class that represents a SparkDataFrame column}
\usage{
\S4method{column}{jobj}(x)

\S4method{column}{character}(x)

column(x)
}
\arguments{
\item{x}{Character column name.}
}
\description{
The column class supports unary, binary operations on SparkDataFrame columns

Returns a Column based on the given column name.
}
\section{Slots}{

\describe{
\item{\code{jc}}{reference to JVM SparkDataFrame column}
}}
\note{
Column since 1.4.0

column since 1.6.0
}
\examples{
\dontrun{column("name")}
}
\seealso{
Other normal_funcs: \code{\link{abs}},
  \code{\link{abs,Column-method}};
  \code{\link{bitwiseNOT}}, \code{\link{bitwiseNOT}},
  \code{\link{bitwiseNOT,Column-method}};
  \code{\link{coalesce}}, \code{\link{coalesce}},
  \code{\link{coalesce}},
  \code{\link{coalesce,Column-method}},
  \code{\link{coalesce,SparkDataFrame-method}};
  \code{\link{expr}}, \code{\link{expr}},
  \code{\link{expr,character-method}};
  \code{\link{greatest}}, \code{\link{greatest}},
  \code{\link{greatest,Column-method}};
  \code{\link{ifelse}}, \code{\link{ifelse,Column-method}};
  \code{\link{is.nan}}, \code{\link{is.nan,Column-method}},
  \code{\link{isnan}}, \code{\link{isnan}},
  \code{\link{isnan,Column-method}}; \code{\link{least}},
  \code{\link{least}}, \code{\link{least,Column-method}};
  \code{\link{lit}}, \code{\link{lit}},
  \code{\link{lit,ANY-method}}; \code{\link{nanvl}},
  \code{\link{nanvl}}, \code{\link{nanvl,Column-method}};
  \code{\link{negate}}, \code{\link{negate}},
  \code{\link{negate,Column-method}}; \code{\link{randn}},
  \code{\link{randn}}, \code{\link{randn}},
  \code{\link{randn,missing-method}},
  \code{\link{randn,numeric-method}}; \code{\link{rand}},
  \code{\link{rand}}, \code{\link{rand}},
  \code{\link{rand,missing-method}},
  \code{\link{rand,numeric-method}}; \code{\link{struct}},
  \code{\link{struct}},
  \code{\link{struct,characterOrColumn-method}};
  \code{\link{when}}, \code{\link{when}},
  \code{\link{when,Column-method}}
}

