% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/functions.R, R/generics.R
\docType{methods}
\name{cume_dist}
\alias{cume_dist}
\alias{cume_dist,missing-method}
\title{cume_dist}
\usage{
\S4method{cume_dist}{missing}()

cume_dist(x = "missing")
}
\arguments{
\item{x}{empty. Should be used with no argument.}
}
\description{
Window function: returns the cumulative distribution of values within a window partition,
i.e. the fraction of rows that are below the current row.
}
\details{
N = total number of rows in the partition
  cume_dist(x) = number of values before (and including) x / N

This is equivalent to the \code{CUME_DIST} function in SQL.
}
\note{
cume_dist since 1.6.0
}
\examples{
\dontrun{
  df <- createDataFrame(mtcars)
  ws <- orderBy(windowPartitionBy("am"), "hp")
  out <- select(df, over(cume_dist(), ws), df$hp, df$am)
}
}
\seealso{
Other window_funcs: \code{\link{dense_rank}},
  \code{\link{dense_rank}},
  \code{\link{dense_rank,missing-method}};
  \code{\link{lag}}, \code{\link{lag}},
  \code{\link{lag,characterOrColumn-method}};
  \code{\link{lead}}, \code{\link{lead}},
  \code{\link{lead,characterOrColumn,numeric-method}};
  \code{\link{ntile}}, \code{\link{ntile}},
  \code{\link{ntile,numeric-method}};
  \code{\link{percent_rank}}, \code{\link{percent_rank}},
  \code{\link{percent_rank,missing-method}};
  \code{\link{rank}}, \code{\link{rank}},
  \code{\link{rank}}, \code{\link{rank,ANY-method}},
  \code{\link{rank,missing-method}};
  \code{\link{row_number}}, \code{\link{row_number}},
  \code{\link{row_number,missing-method}}
}

