% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/functions.R, R/generics.R
\docType{methods}
\name{datediff}
\alias{datediff}
\alias{datediff,Column-method}
\title{datediff}
\usage{
\S4method{datediff}{Column}(y, x)

datediff(y, x)
}
\arguments{
\item{y}{end Column to use.}

\item{x}{start Column to use.}
}
\description{
Returns the number of days from \code{start} to \code{end}.
}
\note{
datediff since 1.5.0
}
\examples{
\dontrun{datediff(df$c, x)}
}
\seealso{
Other datetime_funcs: \code{\link{add_months}},
  \code{\link{add_months}},
  \code{\link{add_months,Column,numeric-method}};
  \code{\link{date_add}}, \code{\link{date_add}},
  \code{\link{date_add,Column,numeric-method}};
  \code{\link{date_format}}, \code{\link{date_format}},
  \code{\link{date_format,Column,character-method}};
  \code{\link{date_sub}}, \code{\link{date_sub}},
  \code{\link{date_sub,Column,numeric-method}};
  \code{\link{dayofmonth}}, \code{\link{dayofmonth}},
  \code{\link{dayofmonth,Column-method}};
  \code{\link{dayofyear}}, \code{\link{dayofyear}},
  \code{\link{dayofyear,Column-method}};
  \code{\link{from_unixtime}}, \code{\link{from_unixtime}},
  \code{\link{from_unixtime,Column-method}};
  \code{\link{from_utc_timestamp}},
  \code{\link{from_utc_timestamp}},
  \code{\link{from_utc_timestamp,Column,character-method}};
  \code{\link{hour}}, \code{\link{hour}},
  \code{\link{hour,Column-method}}; \code{\link{last_day}},
  \code{\link{last_day}},
  \code{\link{last_day,Column-method}};
  \code{\link{minute}}, \code{\link{minute}},
  \code{\link{minute,Column-method}};
  \code{\link{months_between}},
  \code{\link{months_between}},
  \code{\link{months_between,Column-method}};
  \code{\link{month}}, \code{\link{month}},
  \code{\link{month,Column-method}};
  \code{\link{next_day}}, \code{\link{next_day}},
  \code{\link{next_day,Column,character-method}};
  \code{\link{quarter}}, \code{\link{quarter}},
  \code{\link{quarter,Column-method}};
  \code{\link{second}}, \code{\link{second}},
  \code{\link{second,Column-method}};
  \code{\link{to_date}}, \code{\link{to_date}},
  \code{\link{to_date,Column-method}};
  \code{\link{to_utc_timestamp}},
  \code{\link{to_utc_timestamp}},
  \code{\link{to_utc_timestamp,Column,character-method}};
  \code{\link{unix_timestamp}},
  \code{\link{unix_timestamp}},
  \code{\link{unix_timestamp}},
  \code{\link{unix_timestamp}},
  \code{\link{unix_timestamp,Column,character-method}},
  \code{\link{unix_timestamp,Column,missing-method}},
  \code{\link{unix_timestamp,missing,missing-method}};
  \code{\link{weekofyear}}, \code{\link{weekofyear}},
  \code{\link{weekofyear,Column-method}};
  \code{\link{window}}, \code{\link{window}},
  \code{\link{window,Column-method}}; \code{\link{year}},
  \code{\link{year}}, \code{\link{year,Column-method}}
}

