% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/functions.R, R/generics.R
\docType{methods}
\name{format_number}
\alias{format_number}
\alias{format_number,Column,numeric-method}
\title{format_number}
\usage{
\S4method{format_number}{Column,numeric}(y, x)

format_number(y, x)
}
\arguments{
\item{y}{column to format}

\item{x}{number of decimal place to format to}
}
\description{
Formats numeric column y to a format like '#,###,###.##', rounded to x decimal places,
and returns the result as a string column.
}
\details{
If x is 0, the result has no decimal point or fractional part.
If x < 0, the result will be null.
}
\note{
format_number since 1.5.0
}
\examples{
\dontrun{format_number(df$n, 4)}
}
\seealso{
Other string_funcs: \code{\link{ascii}},
  \code{\link{ascii}}, \code{\link{ascii,Column-method}};
  \code{\link{base64}}, \code{\link{base64}},
  \code{\link{base64,Column-method}};
  \code{\link{concat_ws}}, \code{\link{concat_ws}},
  \code{\link{concat_ws,character,Column-method}};
  \code{\link{concat}}, \code{\link{concat}},
  \code{\link{concat,Column-method}}; \code{\link{decode}},
  \code{\link{decode}},
  \code{\link{decode,Column,character-method}};
  \code{\link{encode}}, \code{\link{encode}},
  \code{\link{encode,Column,character-method}};
  \code{\link{format_string}}, \code{\link{format_string}},
  \code{\link{format_string,character,Column-method}};
  \code{\link{initcap}}, \code{\link{initcap}},
  \code{\link{initcap,Column-method}}; \code{\link{instr}},
  \code{\link{instr}},
  \code{\link{instr,Column,character-method}};
  \code{\link{length}}, \code{\link{length,Column-method}};
  \code{\link{levenshtein}}, \code{\link{levenshtein}},
  \code{\link{levenshtein,Column-method}};
  \code{\link{locate}}, \code{\link{locate}},
  \code{\link{locate,character,Column-method}};
  \code{\link{lower}}, \code{\link{lower}},
  \code{\link{lower,Column-method}}; \code{\link{lpad}},
  \code{\link{lpad}},
  \code{\link{lpad,Column,numeric,character-method}};
  \code{\link{ltrim}}, \code{\link{ltrim}},
  \code{\link{ltrim,Column-method}};
  \code{\link{regexp_extract}},
  \code{\link{regexp_extract}},
  \code{\link{regexp_extract,Column,character,numeric-method}};
  \code{\link{regexp_replace}},
  \code{\link{regexp_replace}},
  \code{\link{regexp_replace,Column,character,character-method}};
  \code{\link{reverse}}, \code{\link{reverse}},
  \code{\link{reverse,Column-method}}; \code{\link{rpad}},
  \code{\link{rpad}},
  \code{\link{rpad,Column,numeric,character-method}};
  \code{\link{rtrim}}, \code{\link{rtrim}},
  \code{\link{rtrim,Column-method}}; \code{\link{soundex}},
  \code{\link{soundex}},
  \code{\link{soundex,Column-method}};
  \code{\link{substring_index}},
  \code{\link{substring_index}},
  \code{\link{substring_index,Column,character,numeric-method}};
  \code{\link{translate}}, \code{\link{translate}},
  \code{\link{translate,Column,character,character-method}};
  \code{\link{trim}}, \code{\link{trim}},
  \code{\link{trim,Column-method}}; \code{\link{unbase64}},
  \code{\link{unbase64}},
  \code{\link{unbase64,Column-method}};
  \code{\link{upper}}, \code{\link{upper}},
  \code{\link{upper,Column-method}}
}

