% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/functions.R
\docType{methods}
\name{ifelse}
\alias{ifelse}
\alias{ifelse,Column-method}
\title{ifelse}
\usage{
\S4method{ifelse}{Column}(test, yes, no)
}
\arguments{
\item{test}{a Column expression that describes the condition.}

\item{yes}{return values for \code{TRUE} elements of test.}

\item{no}{return values for \code{FALSE} elements of test.}
}
\description{
Evaluates a list of conditions and returns \code{yes} if the conditions are satisfied.
Otherwise \code{no} is returned for unmatched conditions.
}
\note{
ifelse since 1.5.0
}
\examples{
\dontrun{
ifelse(df$a > 1 & df$b > 2, 0, 1)
ifelse(df$a > 1, df$a, 1)
}
}
\seealso{
\link{when}

Other normal_funcs: \code{\link{Column-class}},
  \code{\link{column}}, \code{\link{column}},
  \code{\link{column}},
  \code{\link{column,character-method}},
  \code{\link{column,jobj-method}}; \code{\link{abs}},
  \code{\link{abs,Column-method}};
  \code{\link{bitwiseNOT}}, \code{\link{bitwiseNOT}},
  \code{\link{bitwiseNOT,Column-method}};
  \code{\link{coalesce}}, \code{\link{coalesce}},
  \code{\link{coalesce}},
  \code{\link{coalesce,Column-method}},
  \code{\link{coalesce,SparkDataFrame-method}};
  \code{\link{expr}}, \code{\link{expr}},
  \code{\link{expr,character-method}};
  \code{\link{greatest}}, \code{\link{greatest}},
  \code{\link{greatest,Column-method}};
  \code{\link{is.nan}}, \code{\link{is.nan,Column-method}},
  \code{\link{isnan}}, \code{\link{isnan}},
  \code{\link{isnan,Column-method}}; \code{\link{least}},
  \code{\link{least}}, \code{\link{least,Column-method}};
  \code{\link{lit}}, \code{\link{lit}},
  \code{\link{lit,ANY-method}}; \code{\link{nanvl}},
  \code{\link{nanvl}}, \code{\link{nanvl,Column-method}};
  \code{\link{negate}}, \code{\link{negate}},
  \code{\link{negate,Column-method}}; \code{\link{randn}},
  \code{\link{randn}}, \code{\link{randn}},
  \code{\link{randn,missing-method}},
  \code{\link{randn,numeric-method}}; \code{\link{rand}},
  \code{\link{rand}}, \code{\link{rand}},
  \code{\link{rand,missing-method}},
  \code{\link{rand,numeric-method}}; \code{\link{struct}},
  \code{\link{struct}},
  \code{\link{struct,characterOrColumn-method}};
  \code{\link{when}}, \code{\link{when}},
  \code{\link{when,Column-method}}
}

