% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/functions.R, R/generics.R
\docType{methods}
\name{last}
\alias{last}
\alias{last,characterOrColumn-method}
\title{last}
\usage{
\S4method{last}{characterOrColumn}(x, na.rm = FALSE)

last(x, ...)
}
\arguments{
\item{x}{column to compute on.}

\item{na.rm}{a logical value indicating whether NA values should be stripped
before the computation proceeds.}

\item{...}{further arguments to be passed to or from other methods.}
}
\description{
Aggregate function: returns the last value in a group.
}
\details{
The function by default returns the last values it sees. It will return the last non-missing
value it sees when na.rm is set to true. If all values are missing, then NA is returned.
}
\note{
last since 1.4.0
}
\examples{
\dontrun{
last(df$c)
last(df$c, TRUE)
}
}
\seealso{
Other agg_funcs: \code{\link{agg}}, \code{\link{agg}},
  \code{\link{agg}}, \code{\link{agg,GroupedData-method}},
  \code{\link{agg,SparkDataFrame-method}},
  \code{\link{summarize}}, \code{\link{summarize}},
  \code{\link{summarize}},
  \code{\link{summarize,GroupedData-method}},
  \code{\link{summarize,SparkDataFrame-method}};
  \code{\link{avg}}, \code{\link{avg}},
  \code{\link{avg,Column-method}};
  \code{\link{countDistinct}}, \code{\link{countDistinct}},
  \code{\link{countDistinct,Column-method}},
  \code{\link{n_distinct}}, \code{\link{n_distinct}},
  \code{\link{n_distinct,Column-method}};
  \code{\link{count}}, \code{\link{count}},
  \code{\link{count,Column-method}},
  \code{\link{count,GroupedData-method}}, \code{\link{n}},
  \code{\link{n}}, \code{\link{n,Column-method}};
  \code{\link{first}}, \code{\link{first}},
  \code{\link{first}},
  \code{\link{first,SparkDataFrame-method}},
  \code{\link{first,characterOrColumn-method}};
  \code{\link{kurtosis}}, \code{\link{kurtosis}},
  \code{\link{kurtosis,Column-method}}; \code{\link{max}},
  \code{\link{max,Column-method}}; \code{\link{mean}},
  \code{\link{mean,Column-method}}; \code{\link{min}},
  \code{\link{min,Column-method}}; \code{\link{sd}},
  \code{\link{sd}}, \code{\link{sd,Column-method}},
  \code{\link{stddev}}, \code{\link{stddev}},
  \code{\link{stddev,Column-method}};
  \code{\link{skewness}}, \code{\link{skewness}},
  \code{\link{skewness,Column-method}};
  \code{\link{stddev_pop}}, \code{\link{stddev_pop}},
  \code{\link{stddev_pop,Column-method}};
  \code{\link{stddev_samp}}, \code{\link{stddev_samp}},
  \code{\link{stddev_samp,Column-method}};
  \code{\link{sumDistinct}}, \code{\link{sumDistinct}},
  \code{\link{sumDistinct,Column-method}};
  \code{\link{sum}}, \code{\link{sum,Column-method}};
  \code{\link{var_pop}}, \code{\link{var_pop}},
  \code{\link{var_pop,Column-method}};
  \code{\link{var_samp}}, \code{\link{var_samp}},
  \code{\link{var_samp,Column-method}}; \code{\link{var}},
  \code{\link{var}}, \code{\link{var,Column-method}},
  \code{\link{variance}}, \code{\link{variance}},
  \code{\link{variance,Column-method}}
}

