% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/functions.R, R/generics.R
\docType{methods}
\name{locate}
\alias{locate}
\alias{locate,character,Column-method}
\title{locate}
\usage{
\S4method{locate}{character,Column}(substr, str, pos = 1)

locate(substr, str, ...)
}
\arguments{
\item{substr}{a character string to be matched.}

\item{str}{a Column where matches are sought for each entry.}

\item{pos}{start position of search.}

\item{...}{further arguments to be passed to or from other methods.}
}
\description{
Locate the position of the first occurrence of substr.
}
\details{
Note: The position is not zero based, but 1 based index. Returns 0 if substr
could not be found in str.
}
\note{
locate since 1.5.0
}
\examples{
\dontrun{locate('b', df$c, 1)}
}
\seealso{
Other string_funcs: \code{\link{ascii}},
  \code{\link{ascii}}, \code{\link{ascii,Column-method}};
  \code{\link{base64}}, \code{\link{base64}},
  \code{\link{base64,Column-method}};
  \code{\link{concat_ws}}, \code{\link{concat_ws}},
  \code{\link{concat_ws,character,Column-method}};
  \code{\link{concat}}, \code{\link{concat}},
  \code{\link{concat,Column-method}}; \code{\link{decode}},
  \code{\link{decode}},
  \code{\link{decode,Column,character-method}};
  \code{\link{encode}}, \code{\link{encode}},
  \code{\link{encode,Column,character-method}};
  \code{\link{format_number}}, \code{\link{format_number}},
  \code{\link{format_number,Column,numeric-method}};
  \code{\link{format_string}}, \code{\link{format_string}},
  \code{\link{format_string,character,Column-method}};
  \code{\link{initcap}}, \code{\link{initcap}},
  \code{\link{initcap,Column-method}}; \code{\link{instr}},
  \code{\link{instr}},
  \code{\link{instr,Column,character-method}};
  \code{\link{length}}, \code{\link{length,Column-method}};
  \code{\link{levenshtein}}, \code{\link{levenshtein}},
  \code{\link{levenshtein,Column-method}};
  \code{\link{lower}}, \code{\link{lower}},
  \code{\link{lower,Column-method}}; \code{\link{lpad}},
  \code{\link{lpad}},
  \code{\link{lpad,Column,numeric,character-method}};
  \code{\link{ltrim}}, \code{\link{ltrim}},
  \code{\link{ltrim,Column-method}};
  \code{\link{regexp_extract}},
  \code{\link{regexp_extract}},
  \code{\link{regexp_extract,Column,character,numeric-method}};
  \code{\link{regexp_replace}},
  \code{\link{regexp_replace}},
  \code{\link{regexp_replace,Column,character,character-method}};
  \code{\link{reverse}}, \code{\link{reverse}},
  \code{\link{reverse,Column-method}}; \code{\link{rpad}},
  \code{\link{rpad}},
  \code{\link{rpad,Column,numeric,character-method}};
  \code{\link{rtrim}}, \code{\link{rtrim}},
  \code{\link{rtrim,Column-method}}; \code{\link{soundex}},
  \code{\link{soundex}},
  \code{\link{soundex,Column-method}};
  \code{\link{substring_index}},
  \code{\link{substring_index}},
  \code{\link{substring_index,Column,character,numeric-method}};
  \code{\link{translate}}, \code{\link{translate}},
  \code{\link{translate,Column,character,character-method}};
  \code{\link{trim}}, \code{\link{trim}},
  \code{\link{trim,Column-method}}; \code{\link{unbase64}},
  \code{\link{unbase64}},
  \code{\link{unbase64,Column-method}};
  \code{\link{upper}}, \code{\link{upper}},
  \code{\link{upper,Column-method}}
}

