% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/functions.R, R/generics.R
\docType{methods}
\name{next_day}
\alias{next_day}
\alias{next_day,Column,character-method}
\title{next_day}
\usage{
\S4method{next_day}{Column,character}(y, x)

next_day(y, x)
}
\arguments{
\item{y}{Column to compute on.}

\item{x}{Day of the week string.}
}
\description{
Given a date column, returns the first date which is later than the value of the date column
that is on the specified day of the week.
}
\details{
For example, \code{next_day('2015-07-27', "Sunday")} returns 2015-08-02 because that is the first
Sunday after 2015-07-27.

Day of the week parameter is case insensitive, and accepts first three or two characters:
"Mon", "Tue", "Wed", "Thu", "Fri", "Sat", "Sun".
}
\note{
next_day since 1.5.0
}
\examples{
\dontrun{
next_day(df$d, 'Sun')
next_day(df$d, 'Sunday')
}
}
\seealso{
Other datetime_funcs: \code{\link{add_months}},
  \code{\link{add_months}},
  \code{\link{add_months,Column,numeric-method}};
  \code{\link{date_add}}, \code{\link{date_add}},
  \code{\link{date_add,Column,numeric-method}};
  \code{\link{date_format}}, \code{\link{date_format}},
  \code{\link{date_format,Column,character-method}};
  \code{\link{date_sub}}, \code{\link{date_sub}},
  \code{\link{date_sub,Column,numeric-method}};
  \code{\link{datediff}}, \code{\link{datediff}},
  \code{\link{datediff,Column-method}};
  \code{\link{dayofmonth}}, \code{\link{dayofmonth}},
  \code{\link{dayofmonth,Column-method}};
  \code{\link{dayofyear}}, \code{\link{dayofyear}},
  \code{\link{dayofyear,Column-method}};
  \code{\link{from_unixtime}}, \code{\link{from_unixtime}},
  \code{\link{from_unixtime,Column-method}};
  \code{\link{from_utc_timestamp}},
  \code{\link{from_utc_timestamp}},
  \code{\link{from_utc_timestamp,Column,character-method}};
  \code{\link{hour}}, \code{\link{hour}},
  \code{\link{hour,Column-method}}; \code{\link{last_day}},
  \code{\link{last_day}},
  \code{\link{last_day,Column-method}};
  \code{\link{minute}}, \code{\link{minute}},
  \code{\link{minute,Column-method}};
  \code{\link{months_between}},
  \code{\link{months_between}},
  \code{\link{months_between,Column-method}};
  \code{\link{month}}, \code{\link{month}},
  \code{\link{month,Column-method}}; \code{\link{quarter}},
  \code{\link{quarter}},
  \code{\link{quarter,Column-method}};
  \code{\link{second}}, \code{\link{second}},
  \code{\link{second,Column-method}};
  \code{\link{to_date}}, \code{\link{to_date}},
  \code{\link{to_date,Column-method}};
  \code{\link{to_utc_timestamp}},
  \code{\link{to_utc_timestamp}},
  \code{\link{to_utc_timestamp,Column,character-method}};
  \code{\link{unix_timestamp}},
  \code{\link{unix_timestamp}},
  \code{\link{unix_timestamp}},
  \code{\link{unix_timestamp}},
  \code{\link{unix_timestamp,Column,character-method}},
  \code{\link{unix_timestamp,Column,missing-method}},
  \code{\link{unix_timestamp,missing,missing-method}};
  \code{\link{weekofyear}}, \code{\link{weekofyear}},
  \code{\link{weekofyear,Column-method}};
  \code{\link{window}}, \code{\link{window}},
  \code{\link{window,Column-method}}; \code{\link{year}},
  \code{\link{year}}, \code{\link{year,Column-method}}
}

