% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/WindowSpec.R, R/generics.R
\docType{methods}
\name{orderBy}
\alias{orderBy}
\alias{orderBy,WindowSpec,Column-method}
\alias{orderBy,WindowSpec,character-method}
\title{Ordering Columns in a WindowSpec}
\usage{
\S4method{orderBy}{WindowSpec,character}(x, col, ...)

\S4method{orderBy}{WindowSpec,Column}(x, col, ...)

orderBy(x, col, ...)
}
\arguments{
\item{x}{a WindowSpec}

\item{col}{a character or Column indicating an ordering column}

\item{...}{additional sorting fields}
}
\value{
A WindowSpec.
}
\description{
Defines the ordering columns in a WindowSpec.
}
\note{
orderBy(WindowSpec, character) since 2.0.0

orderBy(WindowSpec, Column) since 2.0.0
}
\examples{
\dontrun{
  orderBy(ws, "col1", "col2")
  orderBy(ws, df$col1, df$col2)
}
}
\seealso{
See \link{arrange} for use in sorting a SparkDataFrame

Other windowspec_method: \code{\link{partitionBy}},
  \code{\link{partitionBy}},
  \code{\link{partitionBy,WindowSpec-method}};
  \code{\link{rangeBetween}}, \code{\link{rangeBetween}},
  \code{\link{rangeBetween,WindowSpec,numeric,numeric-method}};
  \code{\link{rowsBetween}}, \code{\link{rowsBetween}},
  \code{\link{rowsBetween,WindowSpec,numeric,numeric-method}}
}

