% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/functions.R, R/generics.R
\docType{methods}
\name{row_number}
\alias{row_number}
\alias{row_number,missing-method}
\title{row_number}
\usage{
\S4method{row_number}{missing}()

row_number(x = "missing")
}
\arguments{
\item{x}{empty. Should be used with no argument.}
}
\description{
Window function: returns a sequential number starting at 1 within a window partition.
}
\details{
This is equivalent to the ROW_NUMBER function in SQL.
}
\note{
row_number since 1.6.0
}
\examples{
\dontrun{
  df <- createDataFrame(mtcars)
  ws <- orderBy(windowPartitionBy("am"), "hp")
  out <- select(df, over(row_number(), ws), df$hp, df$am)
}
}
\seealso{
Other window_funcs: \code{\link{cume_dist}},
  \code{\link{cume_dist}},
  \code{\link{cume_dist,missing-method}};
  \code{\link{dense_rank}}, \code{\link{dense_rank}},
  \code{\link{dense_rank,missing-method}};
  \code{\link{lag}}, \code{\link{lag}},
  \code{\link{lag,characterOrColumn-method}};
  \code{\link{lead}}, \code{\link{lead}},
  \code{\link{lead,characterOrColumn,numeric-method}};
  \code{\link{ntile}}, \code{\link{ntile}},
  \code{\link{ntile,numeric-method}};
  \code{\link{percent_rank}}, \code{\link{percent_rank}},
  \code{\link{percent_rank,missing-method}};
  \code{\link{rank}}, \code{\link{rank}},
  \code{\link{rank}}, \code{\link{rank,ANY-method}},
  \code{\link{rank,missing-method}}
}

