% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/WindowSpec.R, R/generics.R
\docType{methods}
\name{rowsBetween}
\alias{rowsBetween}
\alias{rowsBetween,WindowSpec,numeric,numeric-method}
\title{rowsBetween}
\usage{
\S4method{rowsBetween}{WindowSpec,numeric,numeric}(x, start, end)

rowsBetween(x, start, end)
}
\arguments{
\item{x}{a WindowSpec}

\item{start}{boundary start, inclusive.
The frame is unbounded if this is the minimum long value.}

\item{end}{boundary end, inclusive.
The frame is unbounded if this is the maximum long value.}
}
\value{
a WindowSpec
}
\description{
Defines the frame boundaries, from \code{start} (inclusive) to \code{end} (inclusive).
}
\details{
Both \code{start} and \code{end} are relative positions from the current row. For example,
"0" means "current row", while "-1" means the row before the current row, and "5" means the
fifth row after the current row.
}
\note{
rowsBetween since 2.0.0
}
\examples{
\dontrun{
  rowsBetween(ws, 0, 3)
}
}
\seealso{
Other windowspec_method: \code{\link{orderBy}},
  \code{\link{orderBy}}, \code{\link{orderBy}},
  \code{\link{orderBy,WindowSpec,Column-method}},
  \code{\link{orderBy,WindowSpec,character-method}};
  \code{\link{partitionBy}}, \code{\link{partitionBy}},
  \code{\link{partitionBy,WindowSpec-method}};
  \code{\link{rangeBetween}}, \code{\link{rangeBetween}},
  \code{\link{rangeBetween,WindowSpec,numeric,numeric-method}}
}

