% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/functions.R, R/generics.R
\docType{methods}
\name{sha2}
\alias{sha2}
\alias{sha2,Column,numeric-method}
\title{sha2}
\usage{
\S4method{sha2}{Column,numeric}(y, x)

sha2(y, x)
}
\arguments{
\item{y}{column to compute SHA-2 on.}

\item{x}{one of 224, 256, 384, or 512.}
}
\description{
Calculates the SHA-2 family of hash functions of a binary column and
returns the value as a hex string.
}
\note{
sha2 since 1.5.0
}
\examples{
\dontrun{sha2(df$c, 256)}
}
\seealso{
Other misc_funcs: \code{\link{crc32}}, \code{\link{crc32}},
  \code{\link{crc32,Column-method}}; \code{\link{hash}},
  \code{\link{hash}}, \code{\link{hash,Column-method}};
  \code{\link{md5}}, \code{\link{md5}},
  \code{\link{md5,Column-method}};
  \code{\link{monotonically_increasing_id}},
  \code{\link{monotonically_increasing_id}},
  \code{\link{monotonically_increasing_id,missing-method}};
  \code{\link{sha1}}, \code{\link{sha1}},
  \code{\link{sha1,Column-method}}
}

