% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/functions.R, R/generics.R
\docType{methods}
\name{shiftRightUnsigned}
\alias{shiftRightUnsigned}
\alias{shiftRightUnsigned,Column,numeric-method}
\title{shiftRightUnsigned}
\usage{
\S4method{shiftRightUnsigned}{Column,numeric}(y, x)

shiftRightUnsigned(y, x)
}
\arguments{
\item{y}{column to compute on.}

\item{x}{number of bits to shift.}
}
\description{
Unsigned shift the given value numBits right. If the given value is a long value,
it will return a long value else it will return an integer value.
}
\note{
shiftRightUnsigned since 1.5.0
}
\examples{
\dontrun{shiftRightUnsigned(df$c, 1)}
}
\seealso{
Other math_funcs: \code{\link{acos}},
  \code{\link{acos,Column-method}}; \code{\link{asin}},
  \code{\link{asin,Column-method}}; \code{\link{atan2}},
  \code{\link{atan2,Column-method}}; \code{\link{atan}},
  \code{\link{atan,Column-method}}; \code{\link{bin}},
  \code{\link{bin}}, \code{\link{bin,Column-method}};
  \code{\link{bround}}, \code{\link{bround}},
  \code{\link{bround,Column-method}}; \code{\link{cbrt}},
  \code{\link{cbrt}}, \code{\link{cbrt,Column-method}};
  \code{\link{ceil}}, \code{\link{ceil}},
  \code{\link{ceil,Column-method}}, \code{\link{ceiling}},
  \code{\link{ceiling,Column-method}}; \code{\link{conv}},
  \code{\link{conv}},
  \code{\link{conv,Column,numeric,numeric-method}};
  \code{\link{corr}}, \code{\link{corr}},
  \code{\link{corr}}, \code{\link{corr,Column-method}},
  \code{\link{corr,SparkDataFrame-method}};
  \code{\link{cosh}}, \code{\link{cosh,Column-method}};
  \code{\link{cos}}, \code{\link{cos,Column-method}};
  \code{\link{covar_pop}}, \code{\link{covar_pop}},
  \code{\link{covar_pop,characterOrColumn,characterOrColumn-method}};
  \code{\link{cov}}, \code{\link{cov}}, \code{\link{cov}},
  \code{\link{cov,SparkDataFrame-method}},
  \code{\link{cov,characterOrColumn-method}},
  \code{\link{covar_samp}}, \code{\link{covar_samp}},
  \code{\link{covar_samp,characterOrColumn,characterOrColumn-method}};
  \code{\link{expm1}}, \code{\link{expm1,Column-method}};
  \code{\link{exp}}, \code{\link{exp,Column-method}};
  \code{\link{factorial}},
  \code{\link{factorial,Column-method}};
  \code{\link{floor}}, \code{\link{floor,Column-method}};
  \code{\link{hex}}, \code{\link{hex}},
  \code{\link{hex,Column-method}}; \code{\link{hypot}},
  \code{\link{hypot}}, \code{\link{hypot,Column-method}};
  \code{\link{log10}}, \code{\link{log10,Column-method}};
  \code{\link{log1p}}, \code{\link{log1p,Column-method}};
  \code{\link{log2}}, \code{\link{log2,Column-method}};
  \code{\link{log}}, \code{\link{log,Column-method}};
  \code{\link{pmod}}, \code{\link{pmod}},
  \code{\link{pmod,Column-method}}; \code{\link{rint}},
  \code{\link{rint}}, \code{\link{rint,Column-method}};
  \code{\link{round}}, \code{\link{round,Column-method}};
  \code{\link{shiftLeft}}, \code{\link{shiftLeft}},
  \code{\link{shiftLeft,Column,numeric-method}};
  \code{\link{shiftRight}}, \code{\link{shiftRight}},
  \code{\link{shiftRight,Column,numeric-method}};
  \code{\link{sign}}, \code{\link{sign,Column-method}},
  \code{\link{signum}}, \code{\link{signum}},
  \code{\link{signum,Column-method}}; \code{\link{sinh}},
  \code{\link{sinh,Column-method}}; \code{\link{sin}},
  \code{\link{sin,Column-method}}; \code{\link{sqrt}},
  \code{\link{sqrt,Column-method}}; \code{\link{tanh}},
  \code{\link{tanh,Column-method}}; \code{\link{tan}},
  \code{\link{tan,Column-method}}; \code{\link{toDegrees}},
  \code{\link{toDegrees}},
  \code{\link{toDegrees,Column-method}};
  \code{\link{toRadians}}, \code{\link{toRadians}},
  \code{\link{toRadians,Column-method}};
  \code{\link{unhex}}, \code{\link{unhex}},
  \code{\link{unhex,Column-method}}
}

