% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/functions.R, R/generics.R
\docType{methods}
\name{unix_timestamp}
\alias{unix_timestamp}
\alias{unix_timestamp,Column,character-method}
\alias{unix_timestamp,Column,missing-method}
\alias{unix_timestamp,missing,missing-method}
\title{unix_timestamp}
\usage{
\S4method{unix_timestamp}{missing,missing}(x, format)

\S4method{unix_timestamp}{Column,missing}(x, format)

\S4method{unix_timestamp}{Column,character}(x, format = "yyyy-MM-dd HH:mm:ss")

unix_timestamp(x, format)
}
\arguments{
\item{x}{a Column of date, in string, date or timestamp type.}

\item{format}{the target format. See
\href{http://docs.oracle.com/javase/tutorial/i18n/format/simpleDateFormat.html}{
Customizing Formats} for available options.}
}
\description{
Gets current Unix timestamp in seconds.
}
\note{
unix_timestamp since 1.5.0

unix_timestamp(Column) since 1.5.0

unix_timestamp(Column, character) since 1.5.0
}
\examples{
\dontrun{
unix_timestamp()
unix_timestamp(df$t)
unix_timestamp(df$t, 'yyyy-MM-dd HH')
}
}
\seealso{
Other datetime_funcs: \code{\link{add_months}},
  \code{\link{add_months}},
  \code{\link{add_months,Column,numeric-method}};
  \code{\link{date_add}}, \code{\link{date_add}},
  \code{\link{date_add,Column,numeric-method}};
  \code{\link{date_format}}, \code{\link{date_format}},
  \code{\link{date_format,Column,character-method}};
  \code{\link{date_sub}}, \code{\link{date_sub}},
  \code{\link{date_sub,Column,numeric-method}};
  \code{\link{datediff}}, \code{\link{datediff}},
  \code{\link{datediff,Column-method}};
  \code{\link{dayofmonth}}, \code{\link{dayofmonth}},
  \code{\link{dayofmonth,Column-method}};
  \code{\link{dayofyear}}, \code{\link{dayofyear}},
  \code{\link{dayofyear,Column-method}};
  \code{\link{from_unixtime}}, \code{\link{from_unixtime}},
  \code{\link{from_unixtime,Column-method}};
  \code{\link{from_utc_timestamp}},
  \code{\link{from_utc_timestamp}},
  \code{\link{from_utc_timestamp,Column,character-method}};
  \code{\link{hour}}, \code{\link{hour}},
  \code{\link{hour,Column-method}}; \code{\link{last_day}},
  \code{\link{last_day}},
  \code{\link{last_day,Column-method}};
  \code{\link{minute}}, \code{\link{minute}},
  \code{\link{minute,Column-method}};
  \code{\link{months_between}},
  \code{\link{months_between}},
  \code{\link{months_between,Column-method}};
  \code{\link{month}}, \code{\link{month}},
  \code{\link{month,Column-method}};
  \code{\link{next_day}}, \code{\link{next_day}},
  \code{\link{next_day,Column,character-method}};
  \code{\link{quarter}}, \code{\link{quarter}},
  \code{\link{quarter,Column-method}};
  \code{\link{second}}, \code{\link{second}},
  \code{\link{second,Column-method}};
  \code{\link{to_date}}, \code{\link{to_date}},
  \code{\link{to_date,Column-method}};
  \code{\link{to_utc_timestamp}},
  \code{\link{to_utc_timestamp}},
  \code{\link{to_utc_timestamp,Column,character-method}};
  \code{\link{weekofyear}}, \code{\link{weekofyear}},
  \code{\link{weekofyear,Column-method}};
  \code{\link{window}}, \code{\link{window}},
  \code{\link{window,Column-method}}; \code{\link{year}},
  \code{\link{year}}, \code{\link{year,Column-method}}
}

